@charset "UTF-8";

.specialties {
    position: relative;
    background-color: #ffffff;
    background-image: url('/wp-content/uploads/2024/08/featured_services_background.jpg');
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center top;
    z-index: 2;
}

.specialties.virtSmile {
    background-color: #232C27;
    background-image: none;
    /* background-repeat: no-repeat; */
    /* background-position: right 65%; */
    /* background-size: min( 6.771vw, 130px ) min( 19.271vw, 370px ); */
}

.specBg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.specBg img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 100%;
}

.specBg .bgImg img {
    width: 100%;
    height: 100%;
}

.specialties .container {
    position: relative;
    width: min( 85.417vw, 1640px );
    padding: clamp(70px, 7.292vw, 140px) 0 clamp(60px, 6.25vw, 120px);
    background-color: transparent;
    margin: 0 auto;
}

.specialties .container > div {
    padding: 0;
}

.page-template-flexible .specialties {
    padding: clamp( 25px, 2.083vw, 40px ) 0 clamp(45px, 9.375vw, 180px );
}

.specialties .heading {
    margin-bottom: 36px;
}

.specialties .row.flex {
    flex-wrap: nowrap;
    align-items: center;
    justify-items: center;
    justify-content: center;
    column-gap: clamp( 20px, 4.167vw, 80px );
}

.specialties.virtSmile .container {
    padding: clamp( 40px, 9.635vw, 185px ) 0 clamp( 40px, 9.115vw, 175px );
}

.specialties.virtSmile .row.flex {
    column-gap: clamp(40px, 8.021vw, 154px);
}

.specialties .heading h2 {
    color: #F8F8F8;
    margin-bottom: clamp( 10px, 1.042vw, 20px );
}

.specialties .heading h2:after {
    content: '';
    margin: 8px auto;
    height: 4px;
    width: 60px;
    display: block;
    background-color: #E8AA40;
}

.specBox {
    position: relative;
    display: block;
    width: min( 20.729vw, 398px );
    height: 480px;
    padding: 0;
    text-align: center;
    overflow: hidden;
    transition: all .75s ease;
    margin-bottom: 0px;
}

.specialties.virtSmile .container > div {
    background-color: rgb(46 57 52 / 79%);
    backdrop-filter: blur(20px) brightness(1.4);
    padding: clamp( 40px, 4.167vw, 80px ) clamp(40px, 7.292vw, 140px );
}

.specialties.virtSmile .row.flex .specBox {
    background-color: transparent;
    width: 100%;
    height: fit-content;
}

.specialties.virtSmile .row.flex .specBox .spWrap {
    background-color: transparent;
    height: fit-content;
}

.specialties.virtSmile .specContent .adjust {
    height: fit-content;
    opacity: 1;
}

.specialties.beforeAfter .specBox {
    margin-bottom: 0px;
}

.specialties.beforeAfter .spWrap {
    padding: 0px;
    background-color: transparent;
}

.spWrap {
    position: relative;
    display: grid;
    background-color: #f8f8f8;
    color: #091713;
    border-radius: 0;
    height: min( 46.875vw, 480px );
    width: 100%;
    padding: 0;
    /* box-shadow: 0px 15px 30px #0000000D; */
    align-items: end;
    z-index: auto;
}

.specialties.beforeAfter .specImg {
    padding-bottom: 0px;
}

.specImg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    padding-bottom: 0;
}

.specialties.beforeAfter .specImg img {
    width: clamp(200px, 20.729vw, 398px);
    height: clamp(111px, 11.563vw, 222px);
}

.specImg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 0;
    transition: filter 1.75s ease;
}

.specBox:hover .specImg img {
    filter: brightness(.5);
    transition: filter 1.75s ease;
}

.specContent h4, .specContent h4 a {
    position: relative;
    font-family: "Plus Jakarta Sans", sans-serif;
    font-size: clamp(22px, 2.539vw, 26px);
    font-weight: 500;
    letter-spacing: normal;
    line-height: clamp(28px, 3.32vw, 34px);
    color: #ffffff;
    margin-bottom: 0;
    z-index: 3;
    text-transform: unset;
}

.specContent h4 {
    /* border-bottom: 4px solid rgb(234 233 228 / 100%); */
    padding-bottom: 8px;
    /* margin-bottom: 16px; */
}

.specContent h4::after {
    content: '';
    display: block;
    width: 0;
    height: 2.5px;
    background-color: #E8AA40;
    margin: 8px auto 0;
    transition: width .75s ease;
}

.specBox:hover .specContent h4::after {
    width: 40px;
}

.virtSmile .specContent h4::after {
    display: none;
}

.specContent h4 .smaller {
    display: block;
    font-size: 65%;
    color: #404042;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
}

.specContent {
    position: relative;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    padding: 8px 15px;
    z-index: 5;
    color: #f8f8f8;
    display: grid;
    justify-content: center;
    align-content: center;
    align-items: center;
    height: fit-content;
    width: 100%;
    margin-bottom: min( 4.102vw, 42px );
    justify-items: center;
    transition: height 1.75s ease;
}

.virtSmile .specContent {
    margin: 0;
}

.specBox .specContent .adjust {
    position: relative;
    height: 0;
    opacity:0;
    overflow: hidden;
    transition: all 1.75s ease;
}

.specBox:hover .specContent .adjust {
    height: auto;
    opacity: 1;
    transition: all 1.75s ease;
}

.specialLink {
    position: relative;
    display: block;
    font-family: 'DM Sans', sans-serif;
    background-color: #FF5332;
    margin: 0 auto;
    color: #f8f8f8;
    text-transform: uppercase;
    font-weight: 600;
    font-size: clamp( 12px, 0.833vw, 16px );
    width: 80%;
    letter-spacing: clamp( 0.75px, 0.080vw, 1.54px );
    padding: 20px 0;
    z-index: 2;
}

a.specialLink::after {
    content: '\f054';
    display: none;
    font-family: 'Font Awesome 5 Free';
    margin-left: 0;
    opacity: 0;
    transition: all .5s ease;
}

.specBox:hover a.specialLink::after,
a.specialLink:hover::after {
    margin-left: 5px;
    opacity: 1;
}

.specContent .specialLink:hover {
    color: #232323;
    text-decoration: none;
}

.specBox .overCon {
    position: absolute;
    color: #f8f8f8;
    background-color: rgb(56 76 93 / 50%);
    font-size: clamp( 14px, 0.833vw, 16px );
    line-height: clamp( 22px, 1.25vw, 24px );
    top: 0;
    left: 0;
    width: 100%;
    height: clamp( 563px, 33.333vw, 640px );
    display: grid;
    padding: 0 40px 30px;
    align-items: end;
    justify-items: center;
    justify-content: center;
    z-index: 2;
    opacity: 0;
    transition: all .75s ease;
}

.specBox:hover .overCon {
    opacity: 1;
}

.specContent p {
    color: #141414;
    font-size: 16px;
    line-height: 24px;
    opacity: 1;
    transition: all .75s ease-in-out;
    margin-bottom: 0;
}

.virtSmile .specContent p {
    font-size: clamp(16px, 0.938vw, 18px);
}

.specBox:hover .specContent p {
    opacity: 1;
}

.specialties .btn.btn-orange {
    margin: 56px auto 0;
    /* border-radius: 50px; */
}

.specialties .btn.btn-orange:hover {
    margin: 51px auto 5px;
}

@media ( max-width: 1024px ) {
    .specialties .row.flex {
        flex-direction: column;
        row-gap: 34px;
        height: fit-content;
    }

    .specialties.beforeAfter .specImg img {
        width: 100%;
        height: auto;
    }

    .specialties.beforeAfter .specBox:hover {
        margin-bottom: 0px;
    }

    .specBox {
        /* margin-bottom: 40px; */
        width: clamp(298px, 38.867vw, 398px);
        height: 400px;
    }

    .spWrap {
        height: 400px;
        padding: 0;
    }

    .specImg {
        height: 100%;
        /* position: relative; */
    }

    .specImg img {
        height: 100%;
    }

    .specContent {
        /* clear: both; */
    }

}

@media ( max-width: 768px ) {
    .specialties::after {
        display: none;
    }

    .specialties .container .heading {
        display: block;
        width: 100%;
        overflow: hidden;
        padding: 0 0px;
        margin: 0;
    }

    .specialties .heading h2 {
        display: block;
        text-align: center;
        padding-bottom: 32px;
    }

    .specialties .heading p {
        padding: 0;
        font-size: 16px;
        line-height: 24px;
    }
}

@media ( max-width: 567px ) {
    .specialties {
        background-size: 1657px;
    }

    .specialties.virtSmile .row.flex .specBox:first-of-type .specContent {
        padding-top: 24px;
    }

    .specialties .container {
        margin-bottom: 0;
        padding: 80px 0px;
    }

    .specialties .heading h2::after {
        margin: 18px auto;
    }

    .specBox {
        width: 100%;
        height: 394px;
        padding: 0 20px;
    }

    .spWrap {
        height: 378px;
    }
}

@media (max-width: 375px) {
    .spWrap {
        height: 338px;
    }
}